
body {
  font-family: Arial, sans-serif;
  margin: 20px;
  background: #ffffff;
}

.title {
  text-align: center;
  margin: 40px 0;
}
.Project_Description {
  background-color: rgb(248, 240, 230);
  width: 100%;
  padding: 20px;
  border-radius: 10px;
}

.section {
  margin-bottom: 2rem;
}

.section p {
  margin: 0.5rem 0;
  color: #000000;
  position: relative;
  padding-left: 35px; 
}

.section p::before {
  font-family: 'Courier New', Courier, monospace;
  position: absolute;
  left: 0;
  color: #000000;
  font-size: 1.5rem;
  line-height: 1; 
}

.Video_Demo
{
  text-align: center;
  margin: 40px 0;
  background-color: rgb(247, 245, 244);
  transition: 1s ease;
}
.video-wrapper {
  position: relative;
  padding-bottom: 56.25%;
  height: 0;
  overflow: hidden;
  margin-top: 1rem;
}

.video-wrapper iframe {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}

header {
  color: #000000;
  padding: 10px 0;
  text-align: center;
  border-bottom: 1px solid #000000;
  box-shadow: #474747 0px 2px;

  transition: 1s ease;
}

header:hover {
  transform: scale(1.1);
}

.Description {
  color: #000000;
  padding: 10px 0;
  text-align: center;
  margin: 40px 0;
  transition: 1s ease;
}

.Design {
  color: #000000;
  background-color: rgb(248, 240, 230);
  padding: 20px;
  text-align: left;
  align-items: center;
  transition: 1s ease;
}

.image {
  width: 90%;
  max-width: 800px;
  height: auto;
  transition: 1s ease;
  display: block;
  margin: 20px auto;
}

.image:hover {
  transform: scale(1.1);
}

.Oled_Interface
{
  color: #000000;
  background-color: rgb(247, 245, 244);
  padding: 20px 20px 20px 20px;
  text-align: left;
  align-items: center;
  transition: 1s ease;
}
.I2C_communication
{
  color: #000000;
  background-color: rgb(248, 240, 230);
  padding: 20px 20px 20px 20px;
  text-align: left;
  align-items: center;
  transition: 1s ease;
}
.connection_joystick
{
  color: #000000;
  background-color: rgb(247, 245, 244);
  padding: 20px 20px 20px 20px;
  text-align: left;
  align-items: center;
  transition: 1s ease;
}
.UART_communication
{
  color: #000000;
  background-color: rgb(248, 240, 230);
  padding: 20px 20px 20px 20px;
  text-align: left;
  align-items: center;
  transition: 1s ease;
}
.Configuring_buttons
{
  color: #000000;
  background-color: rgb(247, 245, 244);
  padding: 20px 20px 20px 20px;
  text-align: left;
  align-items: center;
  transition: 1s ease;
}

.AWS_leaderboard
{
  color: #000000;
  background-color: rgb(248, 240, 230);
  padding: 20px 20px 20px 20px;
  text-align: left;
  align-items: center;
  transition: 1s ease;
}
.SNS_email
{
  color: #000000;
  background-color: rgb(247, 245, 244);
  padding: 20px 20px 20px 20px;
  margin-bottom: 20px;
  text-align: left;
  align-items: center;
  transition: 1s ease;
}
.Challenges
{
  color: #000000;
  background-color: rgb(248, 240, 230);
  padding: 20px 20px 20px 20px;
  text-align: left;
  margin-bottom: 20px;
  bottom: 20px;
  align-items: center;
  transition: 1s ease;
}
.Future_Work
{
  color: #000000;
  background-color: rgb(247, 245, 244);
  padding: 20px 20px 20px 20px;
  margin-bottom: 20px;
  text-align: left;
  align-items: center;
  transition: 1s ease;
}
.Bill_of_Materials
{
  color: #000000;
  background-color: rgb(248, 240, 230);
  padding: 20px 20px 20px 20px;
  margin-bottom: 50px;
  text-align: left;
  align-items: center;
  transition: 1s ease;
}

.acknowledgement
{
  padding: 20px 20px 20px 20px;
  margin-bottom: 50px;
  text-align: center;
  align-items: center;
  transition: 1s ease;
}


.rainbow-glow {
  align-items: center;
  display: inline-block;
  padding: 5px;
  position: relative;
  border-radius: 0; /* Removed rounded corners */
}

.rainbow-glow:before {
  align-items: center;
  content: '';
  display: block;
  background-position: center center;
  background-image: conic-gradient(from 0 at 50% 50%, transparent 50%, #fff845, #1cc98c, #24cbde, #57a9f7, #bd52f9, #ebb347);
  animation: rainbowGlowRotate 4s linear infinite;
  filter: blur(150px);
}

.rainbow-glow .card {
  padding: 10px;
  align-items: center;
  position: relative;
  overflow: hidden;
  border-radius: 0; /* Rectangle shape */
  box-shadow: inset 0 0 0 1px rgba(0, 0, 0, 0.15);
}

.rainbow-glow .card:before {
  align-items: center;
  content: '';
  display: block;
  position: absolute;
  width: 200%;
  right: -50%;
  bottom: -100%;
  top: -100%;
  background-position: center center;
  background-image: conic-gradient(from 0 at 50% 50%, transparent 50%, #fff845, #1cc98c, #24cbde, #57a9f7, #bd52f9, #ebb347);
  animation: rainbowRotate 2s linear infinite;
}

.rainbow-glow .ack {
  font-size: 2rem;
  align-items: center;
  padding: 200px;
  background: white;
  border-radius: 0; /* Rectangle shape */
  position: relative;
  z-index: 1;
}

@keyframes rainbowRotate {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

@keyframes rainbowGlowRotate {
  0% {
    transform: rotate(0deg) scale(0.2);
  }
  50% {
    transform: rotate(180deg) scale(0.2);
  }
  100% {
    transform: rotate(360deg) scale(0.5);
  }
}

